Skip to content
  • GET /api/branches β€” List all branches
  • POST /api/branches β€” Create a new branch
  • GET /api/branches/disk-usage β€” Get branch disk usage
  • GET /api/branches/remote β€” Get remote info
  • GET /api/branches/remote-refs β€” List remote branches/tags
  • PATCH /api/branches/{id} β€” Rename branch display name
  • DELETE /api/branches/{id} β€” Delete a branch
  • POST /api/branches/{id}/reset β€” Reset branch to base
  • POST /api/branches/{id}/retry β€” Retry failed branch
  • GET /api/branches/{id}/diff β€” Get branch diff
  • POST /api/branches/{id}/merge β€” Merge branch
  • GET /api/branches/{id}/status β€” Get branch git status
  • POST /api/branches/{id}/push β€” Push branch to remote
  • POST /api/branches/{id}/pull β€” Pull from remote
  • GET /api/branches/{id}/remote-status β€” Get remote tracking status
  • GET /api/branches/{id}/pr β€” Get PR/MR status
  • POST /api/branches/{id}/pr β€” Create pull/merge request
Terminal window
# CLI mapping will be generated from the SDK CLI sources in a later step.
# Example (placeholder):
# hoody-cli <command> --help